
package de.ivu.elect.business.personenpruefung.entity;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.business.kandidatur.entity.Listenkandidatur;
import de.ivu.elect.business.person.entity.Personendaten;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;

public class NlKandidaturKonfliktPersonenregisterAbgleich {

  private NlKandidaturKonfliktPersonenregisterAbgleich() {
    super();
  }

  public static boolean isUnterstuetzt(Wahl wahl) {
    return wahl != null && NlWahlart.valueOf(wahl).isPersonenregisterAbgleichUnterstuetzt();
  }

  public static boolean isAbzugleichen(Personendaten personendaten) {
    return personendaten != null && personendaten.isInstanceOf(getKandidaturClass());
  }

  public static Class< ? extends Kandidatur> getKandidaturClass() {
    return Listenkandidatur.class;
  }
}
